[Mailman-Users] Mailman vs. Apache - please help

Mark Sapiro msapiro at value.net
Wed Dec 21 02:22:37 CET 2005

Ben wrote:
>I get:
>"Mailman CGI error!!!
>Group mismatch error.  Mailman expected the CGI wrapper script to be
>executed as group "mm", but the system's web server executed the CGI
>script as group "Administrators".  Try tweaking the web server to run
>the script as group "mm", or re-run configure, providing the command
>line option `--with-cgi-gid=Administrators'."
>Does this really mean I have to force Apache to run as a user in the
>"mm" group?  From what I know of Apache, that means forcing it with
>suEXEC which is really horribly messy.

No. You don't need (or want) suEXEC. The above message indicates that
you configured mailman with --with-cgi-gid=mm. This is not what you
wanted to do as it requires you to have Apache run the cgi-bin
wrappers as group 'mm' (which I think you could do with User and Group
directives rather than suEXEC, but you don't want to anyway).

What you need is just what it says. Rerun configure with
--with-cgi-gid=Administrators instead of --with-cgi-gid=mm (and the
rest of the options the same as before) and then run 'make install'.

Mark Sapiro <msapiro at value.net>       The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list